diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 94a0f0b..7c75ef5 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -61859,7 +61859,8 @@ MyExpression(q: Symbol, R): Exports == Implementation where
     iunivariate(p: Polynomial R): UP ==
         poly: SparseUnivariatePolynomial(Polynomial R) 
              := univariate(p, q)$(Polynomial R)
-        map(retract(#1), poly)$UnivariatePolynomialCategoryFunctions2(Polynomial R,
+        map((z1:Polynomial R):R +-> retract(z1), poly)_
+          $UnivariatePolynomialCategoryFunctions2(Polynomial R,
                     SparseUnivariatePolynomial Polynomial R, 
                     R, UP)
 
diff --git a/changelog b/changelog
index 031c602..ef63b70 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090514 tpd src/axiom-website/patches.html 20090514.02.tpd.patch
+20090514 tpd books/bookvol10.3 MYEXPR +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.01.tpd.patch
 20090514 tpd books/bookvol10.3 MSET +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 48603ac..efea0f8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1290,5 +1290,7 @@ bookvol10.4 CRAPACK +-> conversion<br/>
 bookvol10.4 CYCLES +-> conversion<br/>
 <a href="patches/20090514.01.tpd.patch">20090514.01.tpd.patch</a>
 bookvol10.3 MSET +-> conversion<br/>
+<a href="patches/20090514.02.tpd.patch">20090514.02.tpd.patch</a>
+bookvol10.3 MYEXPR +-> conversion<br/>
  </body>
 </html>
